﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Xps.Packaging;
using Stimulsoft.Report;
using Stimulsoft.Report.Components;

namespace XpsExport
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            var report = new StiReport();
            report.Load("DB.mrt");
            report.Compile();
            var xps = new XpsDocument("BankStandard.xps", FileAccess.Read);
            var paginator = xps.GetFixedDocumentSequence().DocumentPaginator;
            for (int pageIndex = 0; pageIndex < paginator.PageCount; pageIndex++)
            {
                using (var page = paginator.GetPage(pageIndex))
                {
                    var drawingVisual = new DrawingVisual();

                    using (var drawingContext = drawingVisual.RenderOpen())
                    {
                        var visual = page.Visual;
                        drawingContext.DrawRectangle(new VisualBrush(visual), null, new Rect(0, 0, 1, 1));
                    }

                    report[string.Format(CultureInfo.InvariantCulture, "Xps{0}", pageIndex)] = drawingVisual;
                }
            }
            report.ShowWithWpf();
        }
    }
}
